<?php

namespace Drupal\cmlstarter\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\taxonomy\TermInterface;

/**
 * Class TaxonomyTermController.
 */
class TaxonomyTermController extends ControllerBase {

  /**
   * Renders a taxonomy term page.
   *
   * @param \Drupal\taxonomy\TermInterface $taxonomy_term
   *   The taxonomy term to render.
   *
   * @return array
   *   A render array.
   */
  public function render(TermInterface $taxonomy_term) {
    switch ($taxonomy_term->bundle()) {
      case 'catalog':
        $view_name = 'product';
        $view_display = 'embed';
        break;
      case 'brand':
        $view_name = 'product';
        $view_display = 'embed_1';
        break;
      case 'product_options':
        $view_name = 'product';
        $view_display = 'embed_2';
        break;
      default:
        $view_name = NULL;
        $view_display = NULL;
    }

    if (isset($view_name)) {
      $renderable = views_embed_view($view_name, $view_display, $taxonomy_term->id());
    }
    else {
      $build = [
        '#type' => 'taxonomy_term',
        '#taxonomy_term' => $taxonomy_term,
        '#view_mode' => 'full',
      ];
      $renderable = $build;
    }

    return $renderable;
  }

}
